Bug 1011937 - No way of deleting derived artifacts
No way of deleting derived artifacts
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER7
: 6.0.0
Assigned To: Kurt T Stam
Jiri Sedlacek
:
Depends On: 1005775
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 08:23 EDT by Stefan Bunciak
Modified: 2015-08-02 19:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SRAMP-246 Major Closed Deleted derived artifact are still available 2014-05-06 06:33:23 EDT

  None (edit)
Description Stefan Bunciak 2013-09-25 08:23:16 EDT
Description of problem:

* Derived artifacts are not removed along with the primary/origin artifacts which they are derived from and there is no way of deleting them.

Version-Release number of selected component (if applicable):
6.0.0.ER3

How reproducible:
* 100%

Steps to Reproduce:
* See: http://pastebin.test.redhat.com/166082 (whole use case with Wsdl Document)

Actual results:

* UI exception : org.overlord.sramp.client.SrampClientException:Failed to find an artifact with <UUID>
* All derived artifacts remains in repository forever

Expected results:

* Derived artifacts get removed along with the primary/origin artifact

Additional info:
Comment 2 Eric Wittmann 2013-09-25 09:09:52 EDT
Very thorough write-up and test case!
Comment 3 JBoss JIRA Server 2013-10-04 12:52:43 EDT
Kurt Stam <kurt.stam@jboss.com> made a comment on jira SRAMP-246

Upgrading to modeshape 3.5 did not help. When I delete the modeshape indexes, and lucene rebuilds them then the deleted derived artifact are no longer found.
Comment 7 Kurt T Stam 2013-10-11 15:58:24 EDT
They actually really are deleted; modeshape just hasn't updated the indexes, so until that is fixed you simply delete the indexes:

standalone/data/modeshape/sramp/indexes/

and it will rebuild them on reboot.
Comment 8 Kurt T Stam 2013-10-11 16:01:27 EDT
Depends on https://bugzilla.redhat.com/show_bug.cgi?id=1005775
Comment 9 JBoss JIRA Server 2013-10-30 13:28:44 EDT
Kurt Stam <kurt.stam@jboss.com> updated the status of jira SRAMP-246 to Resolved
Comment 10 JBoss JIRA Server 2013-10-30 13:28:51 EDT
Kurt Stam <kurt.stam@jboss.com> updated the status of jira SRAMP-246 to Closed
Comment 11 Stefan Bunciak 2013-12-12 08:12:50 EST
Verified in FSW 6.0.0.ER7

Note You need to log in before you can comment on or make changes to this bug.